DELETE /api/timeline

Spaces method and path for this operation:

delete /s/{space_id}/api/timeline

Refer to Spaces for more information.

Delete one or more Timelines or Timeline templates.

application/json

Body Required

The IDs of the Timelines or Timeline templates to delete.

  • savedObjectIds array[string] Required

    The list of IDs of the Timelines or Timeline templates to delete

    Not more than 100 elements.

  • searchIds array[string]

    Saved search IDs that should be deleted alongside the timelines

    Not more than 100 elements.

Responses

  • 200 application/json

    Indicates a successful call.

    Additional properties are allowed.

DELETE /api/timeline
curl \
 --request DELETE 'https://<KIBANA_URL>/api/timeline' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"savedObjectIds":["15c1929b-0af7-42bd-85a8-56e234cc7c4e"]}'
Request examples
{
  "savedObjectIds": [
    "15c1929b-0af7-42bd-85a8-56e234cc7c4e"
  ]
}
{
  "savedObjectIds": [
    "15c1929b-0af7-42bd-85a8-56e234cc7c4e",
    "6ce1b592-84e3-4b4a-9552-f189d4b82075"
  ],
  "searchIds": [
    "2c1b8f02-9ad6-4e33-8f6a-2c6b7d0a1f11"
  ]
}
Response examples (200)
{
  "summary": "Success",
  "value": {}
}